// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_puzzlebox/pb1_sky
{
	qer_editorimage env/ut4_puzzlebox/violentdays_bk.tga
	skyparms env/ut4_puzzlebox/violentdays 512 -	
	
	q3map_sunEXT 0.9 0.9 0.9 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
}

// ---=== clouds ===---

textures/ut4_puzzlebox/pb1_cloud

{
	qer_editorimage textures/ut4_puzzlebox/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/ut4_puzzlebox/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.025 -0.0325
	}

}

textures/ut4_puzzlebox/pb1_cloud2

{
	qer_editorimage textures/ut4_puzzlebox/clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_puzzlebox/clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 4
		tcMod scroll 0.125 -0.0325
	}

}

textures/ut4_puzzlebox/pb1_cloud3

{
	qer_editorimage textures/ut4_puzzlebox/clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_puzzlebox/clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.1325
	}

}

// ---=== Ladderclip ===---

textures/ut4_puzzlebox/pb1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_puzzlebox/pb1_hologo_b
{
	qer_editorimage textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.0 textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1.jpg	textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b6.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_b6.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/pb1_hologo_r
{
	qer_editorimage textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.0 textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r6.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r1.jpg textures/ut4_puzzlebox/fsk_holosign1/fsk_hellsign_r6.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== fog/clouds ===---

textures/ut4_puzzlebox/pb1_cloud

{
	qer_editorimage textures/ut4_puzzlebox/lw_clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/ut4_puzzlebox/lw_clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.025 -0.0325
	}

}


// ---=== Glass ===---

textures/ut4_puzzlebox/pb1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_puzzlebox/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_puzzlebox/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb1_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	surfaceparm nonsolid
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_puzzlebox/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_puzzlebox/e6basicstripns_white
{
	qer_trans 0.9
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_white.tga
	q3map_surfacelight 10
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_white.tga
	}
}

// ---=== shiny ===---

textures/ut4_puzzlebox/pb1_shn_e8base1c
{
	qer_editorimage textures/ut4_puzzlebox/e8_base1c.jpg
	surfaceparm nodamage

	{
		map textures/ut4_puzzlebox/e8_base1c.jpg
	}
	{
		map textures/ut4_puzzlebox/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_puzzlebox/e6basicstrip_blue
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_blue.tga
	}
}

textures/ut4_puzzlebox/e6basicstrip_green
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_green.tga
	}
}

textures/ut4_puzzlebox/e6basicstrip_orange
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_orange.tga
	}
}

textures/ut4_puzzlebox/e6basicstrip_purple
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_purple.tga
	}
}

textures/ut4_puzzlebox/e6basicstrip_red
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_red.tga
	}
}

textures/ut4_puzzlebox/e6basicstrip_white
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_white.tga
	}
}

textures/ut4_puzzlebox/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_puzzlebox/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_puzzlebox/e6basicstrip_yellow.tga
	}
}

textures/ut4_puzzlebox/pb1_teleorbb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_puzzlebox/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_puzzlebox/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/pb1_teleorbg
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_puzzlebox/soc_telep_green.jpg
	qer_trans 0.4
	{
		map textures/ut4_puzzlebox/soc_telep_green.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/pb1_teleorbgld
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_puzzlebox/soc_telep_gold.jpg
	qer_trans 0.4
	{
		map textures/ut4_puzzlebox/soc_telep_gold.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/pb1_teleorbo
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_puzzlebox/soc_telep_orange.jpg
	qer_trans 0.4
	{
		map textures/ut4_puzzlebox/soc_telep_orange.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/pb1_teleorbp
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_puzzlebox/soc_telep_purpl.jpg
	qer_trans 0.4
	{
		map textures/ut4_puzzlebox/soc_telep_purpl.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/pb1_teleorbr
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_puzzlebox/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_puzzlebox/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== flames ===--- 

textures/ut4_puzzlebox/pb1_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 100
	qer_editorimage textures/ut4_puzzlebox/flame7.tga
	

	{
		animMap 10 textures/ut4_puzzlebox/flame1.tga textures/ut4_puzzlebox/flame2.tga textures/ut4_puzzlebox/flame3.tga textures/ut4_puzzlebox/flame4.tga textures/ut4_puzzlebox/flame5.tga textures/ut4_puzzlebox/flame6.tga textures/ut4_puzzlebox/flame7.tga textures/ut4_puzzlebox/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_puzzlebox/flame2.tga textures/ut4_puzzlebox/flame3.tga textures/ut4_puzzlebox/flame4.tga textures/ut4_puzzlebox/flame5.tga textures/ut4_puzzlebox/flame6.tga textures/ut4_puzzlebox/flame7.tga textures/ut4_puzzlebox/flame8.tga textures/ut4_puzzlebox/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_puzzlebox/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut4_puzzlebox/pb1_flame1k
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_puzzlebox/flame7.tga
	

	{
		animMap 10 textures/ut4_puzzlebox/flame1.tga textures/ut4_puzzlebox/flame2.tga textures/ut4_puzzlebox/flame3.tga textures/ut4_puzzlebox/flame4.tga textures/ut4_puzzlebox/flame5.tga textures/ut4_puzzlebox/flame6.tga textures/ut4_puzzlebox/flame7.tga textures/ut4_puzzlebox/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_puzzlebox/flame2.tga textures/ut4_puzzlebox/flame3.tga textures/ut4_puzzlebox/flame4.tga textures/ut4_puzzlebox/flame5.tga textures/ut4_puzzlebox/flame6.tga textures/ut4_puzzlebox/flame7.tga textures/ut4_puzzlebox/flame8.tga textures/ut4_puzzlebox/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_puzzlebox/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut4_puzzlebox/pb1_flame_b
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 100
	qer_editorimage textures/ut4_puzzlebox/flame7_b.tga
	
	{
		animMap 10 textures/ut4_puzzlebox/flame1_b.tga textures/ut4_puzzlebox/flame2_b.tga textures/ut4_puzzlebox/flame3_b.tga textures/ut4_puzzlebox/flame4_b.tga textures/ut4_puzzlebox/flame5_b.tga textures/ut4_puzzlebox/flame6_b.tga textures/ut4_puzzlebox/flame7_b.tga textures/ut4_puzzlebox/flame8_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_puzzlebox/flame2_b.tga textures/ut4_puzzlebox/flame3_b.tga textures/ut4_puzzlebox/flame4_b.tga textures/ut4_puzzlebox/flame5_b.tga textures/ut4_puzzlebox/flame6_b.tga textures/ut4_puzzlebox/flame7_b.tga textures/ut4_puzzlebox/flame8_b.tga textures/ut4_puzzlebox/flame1_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ut4_puzzlebox/flameball_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/ut4_puzzlebox/pb1_flame_b1k
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_puzzlebox/flame7_b.tga
	
	{
		animMap 10 textures/ut4_puzzlebox/flame1_b.tga textures/ut4_puzzlebox/flame2_b.tga textures/ut4_puzzlebox/flame3_b.tga textures/ut4_puzzlebox/flame4_b.tga textures/ut4_puzzlebox/flame5_b.tga textures/ut4_puzzlebox/flame6_b.tga textures/ut4_puzzlebox/flame7_b.tga textures/ut4_puzzlebox/flame8_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_puzzlebox/flame2_b.tga textures/ut4_puzzlebox/flame3_b.tga textures/ut4_puzzlebox/flame4_b.tga textures/ut4_puzzlebox/flame5_b.tga textures/ut4_puzzlebox/flame6_b.tga textures/ut4_puzzlebox/flame7_b.tga textures/ut4_puzzlebox/flame8_b.tga textures/ut4_puzzlebox/flame1_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ut4_puzzlebox/flameball_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

// ---=== non-solids ===---

textures/ut4_puzzlebox/pb_armseb
{
	qer_editorimage textures/ut4_puzzlebox/pb_armseb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_armseb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_armser
{
	qer_editorimage textures/ut4_puzzlebox/pb_armser.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_armser.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_armswb
{
	qer_editorimage textures/ut4_puzzlebox/pb_armswb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_armswb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_armswr
{
	qer_editorimage textures/ut4_puzzlebox/pb_armswr.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_armswr.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_ledgeeb
{
	qer_editorimage textures/ut4_puzzlebox/pb_ledgeeb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_ledgeeb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_ledgewb
{
	qer_editorimage textures/ut4_puzzlebox/pb_ledgewb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_ledgewb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_ledgeer
{
	qer_editorimage textures/ut4_puzzlebox/pb_ledgeer.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_ledgeer.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_ledgewr
{
	qer_editorimage textures/ut4_puzzlebox/pb_ledgewr.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_ledgewr.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_crypteb
{
	qer_editorimage textures/ut4_puzzlebox/pb_crypteb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_crypteb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_cryptwb
{
	qer_editorimage textures/ut4_puzzlebox/pb_cryptwb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_cryptwb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_crypter
{
	qer_editorimage textures/ut4_puzzlebox/pb_crypter.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_crypter.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_cryptwr
{
	qer_editorimage textures/ut4_puzzlebox/pb_cryptwr.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_cryptwr.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_upspawneb
{
	qer_editorimage textures/ut4_puzzlebox/pb_upspawneb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_upspawneb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_upspawnwb
{
	qer_editorimage textures/ut4_puzzlebox/pb_upspawnwb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_upspawnwb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_upspawner
{
	qer_editorimage textures/ut4_puzzlebox/pb_upspawner.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_upspawner.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_upspawnwr
{
	qer_editorimage textures/ut4_puzzlebox/pb_upspawnwr.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_upspawnwr.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_flagb
{
	qer_editorimage textures/ut4_puzzlebox/pb_flagb.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
//	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_flagb.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb_flagr
{
	qer_editorimage textures/ut4_puzzlebox/pb_flagr.jpg
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
//	deformVertexes wave 100 sin 0 .5 0 .7
	
	{	
		map textures/ut4_puzzlebox/pb_flagr.jpg
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_puzzlebox/pb1_lament1ns
{
	qer_editorimage textures/ut4_puzzlebox/lament1.jpg
	qer_trans 0.8
//	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
//	q3map_surfacelight 5
	{
		map textures/ut4_puzzlebox/lament1.jpg
	}
}

textures/ut4_puzzlebox/pb1_lament2ns
{
	qer_editorimage textures/ut4_puzzlebox/lament2.jpg
	qer_trans 0.8
//	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
//	q3map_surfacelight 5
	{
		map textures/ut4_puzzlebox/lament2.jpg
	}
}

textures/ut4_puzzlebox/pb1_lament3ns
{
	qer_editorimage textures/ut4_puzzlebox/lament3.jpg
	qer_trans 0.8
//	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
//	q3map_surfacelight 5
	{
		map textures/ut4_puzzlebox/lament3.jpg
	}
}

textures/ut4_puzzlebox/pb1_lament1ns5
{
	qer_editorimage textures/ut4_puzzlebox/lament1.jpg
	qer_trans 0.8
//	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_surfacelight 5
	{
		map textures/ut4_puzzlebox/lament1.jpg
	}
}

textures/ut4_puzzlebox/pb1_lament2ns5
{
	qer_editorimage textures/ut4_puzzlebox/lament2.jpg
	qer_trans 0.8
//	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_surfacelight 5
	{
		map textures/ut4_puzzlebox/lament2.jpg
	}
}

textures/ut4_puzzlebox/pb1_lament3ns5
{
	qer_editorimage textures/ut4_puzzlebox/lament3.jpg
	qer_trans 0.8
//	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_surfacelight 5
	{
		map textures/ut4_puzzlebox/lament3.jpg
	}
}

textures/ut4_puzzlebox/pb1_shnNS_e8base1c
{
	qer_editorimage textures/ut4_puzzlebox/e8_base1c.jpg
	surfaceparm nodamage
	surfaceparm nonsolid

	{
		map textures/ut4_puzzlebox/e8_base1c.jpg
	}
	{
		map textures/ut4_puzzlebox/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== lava ===---

textures/ut4_puzzlebox/pb1_lava1k
	{
		qer_editorimage textures/ut4_puzzlebox/lava1.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 1000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.7
	
	{
		map textures/ut4_puzzlebox/lava1.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ut4_puzzlebox/pb1_lavab1k
	{
		qer_editorimage textures/ut4_puzzlebox/lava1b.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 1000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.7
	
	{
		map textures/ut4_puzzlebox/lava1b.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ut4_puzzlebox/pb1_lava2k
	{
		qer_editorimage textures/ut4_puzzlebox/lava1.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 2000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ut4_puzzlebox/lava1.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ut4_puzzlebox/pb1_lavab2k
	{
		qer_editorimage textures/ut4_puzzlebox/lava1b.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 2000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ut4_puzzlebox/lava1b.tga
		tcMod turb 0 .2 0 .1
	}
}

// ---=== Kilt Shaders ===---

textures/ut4_puzzlebox/kilt_tek7_pipes_glass
{
     cull none
     surfaceparm alphashadow

        {
		map textures/ut4_puzzlebox/tinfx2.tga
                blendFunc GL_ONE GL_ONE
                tcgen environment
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek7_pipes_glass.tga
                alphaFunc GE128
                depthWrite
		//rgbGen vertex
                //blendfunc blend	
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_marble_tek
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_marble_tek.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek5
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek5.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek2
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek2.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek3
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek3.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek_plates
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_plates.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek_shackle
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_shackle.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek7_marbface
{
	q3map_surfacelight 0000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek7_marbface.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/marbface@256_sfx.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/kilt_conc_tekfloor
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut4_puzzlebox/kilt_conc_tekfloor.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_puzzlebox/kilt_tek7_pipes_alpha
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut4_puzzlebox/kilt_tek7_pipes_alpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_puzzlebox/kilt_tek_boarder
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_boarder.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek_boarder2
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_boarder2.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek_boarder3
{
	q3map_surfacelight 200
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_boarder3.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_tek_boarder5
{
	
        {
		map textures/ut4_puzzlebox/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_boarder5.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ut4_puzzlebox/kilt_conc_twirl1
{
	{
		map textures/ut4_puzzlebox/kilt_twirl_fx.tga
//		tcmod scroll 0 1
//		tcMod turb 0 .25 0 1.6
//		tcmod scale 2 2
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/blocks18cgeomtrn2.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc blend
		tcmod rotate 30
 //		tcMod stretch sin .8 0.2 0 .2
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/blocks18cgeomtrn2.tga
		blendFunc blend
		tcmod rotate 20
//		tcMod stretch sin .8 0.2 0 .1
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_conc_twirl1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ut4_puzzlebox/kilt_conc_twirl1_blue
{
	{
		map textures/ut4_puzzlebox/kilt_twirl_fx_blue.tga
//		tcmod scroll 0 1
//		tcMod turb 0 .25 0 1.6
//		tcmod scale 2 2
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/blocks18cgeomtrn2.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc blend
		tcmod rotate 30
//		tcMod stretch sin .8 0.2 0 .2
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/blocks18cgeomtrn2.tga
		blendFunc blend
		tcmod rotate 20
//		tcMod stretch sin .8 0.2 0 .1
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_conc_twirl1_blue.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ut4_puzzlebox/kilt_conc_twirl1_red
{
	{
		map textures/ut4_puzzlebox/kilt_twirl_fx_red.tga
//		tcmod scroll 0 1
//		tcMod turb 0 .25 0 1.6
//		tcmod scale 2 2
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/blocks18cgeomtrn2.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc blend
		tcmod rotate 30
		tcMod stretch sin .8 0.2 0 .2
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/blocks18cgeomtrn2.tga
		blendFunc blend
		tcmod rotate 20
//		tcMod stretch sin .8 0.2 0 .1
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_conc_twirl1_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ut4_puzzlebox/t8_largeblock02
{
	q3map_lightimage textures/ut4_puzzlebox/t8_largeblock02_fx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/t8_largeblock02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/t8_largeblock02_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_puzzlebox/kilt_alien_light1_2k
{
	qer_editorimage textures/ut4_puzzlebox/kilt_alien_light1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_alien_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_alien_light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/kilt_tek_beam3_light_2k
{
	qer_editorimage textures/ut4_puzzlebox/kilt_tek_beam3_light.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_tek_beam3_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_puzzlebox/kilt_alien_scratch3a_blue
{
	q3map_lightimage textures/ut4_puzzlebox/kilt_alien_scratch3a_bluefx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_alien_scratch3a_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_alien_scratch3a_bluefx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_puzzlebox/kilt_alien_scratch3a_red
{
	q3map_lightimage textures/ut4_puzzlebox/kilt_alien_scratch3a_redfx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_alien_scratch3a_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_alien_scratch3a_redfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_puzzlebox/woodmeat_tiled2_alpha
{

        {
		map textures/ut4_puzzlebox/woodmeat_tiled2_sfx.tga
                tcMod turb 0 .3 0 .2
                tcmod scroll 6 .7
                tcmod scale .4 1
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        map textures/ut4_puzzlebox/woodmeat_tiled2_alpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                tcMod stretch sin .8 0.4 0 .2
                tcmod scroll .3 0
	        rgbGen identity
	}
        {
	        map textures/ut4_puzzlebox/woodmeat_tiled2_alpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                tcMod stretch sin .8 0.2 0 .1
                tcmod scroll -.5 0
	        rgbGen identity
	}
	{
	        map textures/ut4_puzzlebox/woodmeat_tiled2_alpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ut4_puzzlebox/kilt_metal1_bpad1
{
	q3map_lightimage textures/ut4_puzzlebox/t8_gbpad_fx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_metal1_bpad1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/t8_gbpad_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_puzzlebox/kilt_marbface2_pentb
{
	q3map_lightimage textures/ut4_puzzlebox/kilt_marbface2_pent_fxb.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_marbface2_pentb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_marbface2_pent_fxb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_puzzlebox/kilt_marbface2_pentr
{
	q3map_lightimage textures/ut4_puzzlebox/kilt_marbface2_pent_fxr.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_marbface2_pentr.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/kilt_marbface2_pent_fxr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

// ---=== moving ===---

textures/ut4_puzzlebox/pb1_gkcspinemove
{
	qer_editorimage textures/ut4_puzzlebox/gkc17d.tga
	tessSize 128
//	deformVertexes wave 100 sin 3 2 0 0.3
	deformVertexes bulge 3 10 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_puzzlebox/gkc17d.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	
}

textures/ut4_puzzlebox/pb1_surface8
{
	qer_editorimage textures/ut4_puzzlebox/surface8.jpg
	tessSize 128
	deformVertexes bulge 3 10 1
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/ut4_puzzlebox/surface8.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/ut4_puzzlebox/pb1_skin7_teeth
{
	qer_editorimage textures/ut4_puzzlebox/skin7_teeth.jpg
	tessSize 128
	deformVertexes bulge 3 10 1
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/ut4_puzzlebox/skin7_teeth.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}
